Package oracle.jdbc

## Enum Tracer.Sequence

- java.lang.Object
- - java.lang.Enum<Tracer.Sequence>
  - - oracle.jdbc.Tracer.Sequence

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Tracer.Sequence>`

Enclosing interface:
  Tracer

    public static enum Tracer.Sequence
    extends java.lang.Enum<Tracer.Sequence>

Indicates if a call to `Tracer#roundTrip` is before or after the round trip to the database.

### Enum Constant Summary

Enum Constants
`AFTER`
`BEFORE`

### Method Summary

All Methods Static Methods Concrete Methods
`static Tracer.Sequence` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Tracer.Sequence[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BEFORE

    public static final Tracer.Sequence BEFORE

#### AFTER

    public static final Tracer.Sequence AFTER

### Method Detail

#### values

    public static Tracer.Sequence[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Tracer.Sequence c : Tracer.Sequence.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Tracer.Sequence valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null